from django.test import TestCase
from rest_framework.test import APITestCase
from arkindex.documents.models import Corpus
from arkindex.images.models import ImageServer
from arkindex.users.models import User


class FixtureMixin(object):
    fixtures = ['data.json', ]

    @classmethod
    def setUpTestData(cls):
        cls.corpus = Corpus.objects.get(id='test')
        cls.user = User.objects.get(email='user@user.fr')
        cls.superuser = User.objects.get(email='root@root.fr')
        cls.imgsrv = ImageServer.objects.get(url='http://server')


class FixtureTestCase(FixtureMixin, TestCase):
    pass


class FixtureAPITestCase(FixtureMixin, APITestCase):
    pass
