#!/usr/bin/env python
from setuptools import setup, find_packages

with open('VERSION') as f:
    VERSION = f.read()

with open('requirements.txt') as f:
    requirements = f.read().splitlines()

with open('tests-requirements.txt') as f:
    tests_requirements = f.read().splitlines()

setup(
    name='arkindex',
    version=VERSION,
    description='Manuscripts indexation framework',
    author='Teklia',
    author_email='abadie@teklia.com',
    url='https://arkindex.teklia.com',
    install_requires=requirements,
    test_suite='arkindex.project.runtests.run',
    tests_require=tests_requirements,
    extras_require={
        'test': tests_requirements,
    },
    packages=find_packages(),
    include_package_data=True,
    py_modules=['arkindex', ],
    scripts=[
        'arkindex/manage.py',
    ],
)
